## python-cloudservers 1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-cloudservers.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-cloudservers.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-cloudservers (1.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/673790.patch: Fix usage of prettytable. prettytable 0.6
    changed the API. (Closes: #673790)
  * debian/control: Bump python-prettytable (Build-)Depends to >= 0.6.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 24 Dec 2012 15:10:46 +0100

python-cloudservers (1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switched python_cloudservers.egg-info/PKG-INFO Metadata-Version: from 1.0
  to 1.1, and fixed debian/control python {build-}depends (Closes: #660538).

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Apr 2012 05:18:28 +0000

python-cloudservers (1.1-1) unstable; urgency=low

  * New upstream release
  * Reintroduce autogeneration-fallout patch. Building the package
    reformats PKG-INFO.txt, so instead of trying format it back during clean,
    we carry this patch to make patching the package easier.

 -- Soren Hansen <soren@ubuntu.com>  Mon, 17 May 2010 22:36:25 +0200

python-cloudservers (1.0-1) unstable; urgency=low

  * New upstream release
  * Dropped fresh-api-responses patch. Implemented (differently)
    upstream.
  * Dropped autogeneration-fallout patch. Fixed upstream.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 05 May 2010 13:03:28 +0200

python-cloudservers (1.0~a5-1) unstable; urgency=low

  * Initial upload. (Closes: #576310)

 -- Soren Hansen <soren@ubuntu.com>  Mon, 29 Mar 2010 22:22:49 -0500

=== debian/control ===
Source: python-cloudservers
Section: python
Priority: optional
Maintainer: Soren Hansen <soren@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 5.0.38), python-all (>= 2.3.5-11), python-support, python-distribute, python-nose, python-prettytable (>= 0.6), python-argparse, python-mock, python-httplib2
XS-Python-Version: >= 2.6
Standards-Version: 3.8.4

Package: python-cloudservers
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources, python-prettytable (>= 0.6), python-argparse, python-httplib2, python (>= 2.6)
XB-Python-Version: ${python:Versions}
Description: client library for Rackspace's Cloud Servers API
 Python library and CLI tool for interacting with Rackspace's Cloud
 Servers, as well as a CLI tool. They implement and expose 100% of the
 Cloud Servers API.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pysupport
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	rm -f dist/python_cloudservers-1.0a5-py2.6.egg test-stamp || /bin/true
	find . -name '._*' -print0 | xargs -0 rm || /bin/true

build/python-cloudservers:: test-stamp

test-stamp:
#	@nosetests $(CURDIR)/tests
	touch test-stamp

=== debian/watch ===
version=3
opts=uversionmangle=s/(a|rc)/~$1/ http://pypi.python.org/packages/source/p/python-cloudservers/python-cloudservers-(.*)\.tar\.gz
